Create MeterGroup - m3ter Documentation
Create MeterGroup
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/metergroups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"version": 123
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/metergroups"
payload = {
"name": "<string>",
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', version: 123})
};
fetch('https://api.m3ter.com/organizations/{orgId}/metergroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
Success Response (200)
{
"id": "<string>",
"version": 123,
"name": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Response (4XX)
{
"message": "<string>"
}
Error Response (5XX)
{
"message": "<string>"
}
Authorizations
- Authorization: string (header, required)
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow. The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
- orgId: string (required) - UUID of the organization
Body
- name: string (required, length:
1 - 200) - version: integer
Response
- id: string (required) - The UUID of the entity.
- version: integer
- Increments upon update. - dtCreated: string
- Creation timestamp. - dtLastModified: string
- Last modified timestamp. - createdBy: string - ID of the user who created this meter group.
- lastModifiedBy: string - ID of the user who last modified this meter group.